<mat-sidenav-container class="left-sidenav-container"

                       [ngClass]=" openSidebar? 'open' : 'folded' ">
	<mat-sidenav #sidenav mode="side"
	             class="left-sidenav"
				opened
				(mouseenter)="(!openSidebar)? openMenuHover($event) : '' "
				(mouseleave)="(!openSidebar)? openMenuHover($event) : '' "
				[@openedMenu] = 'openSidebar || mouseInSidebar'
				[fixedInViewport]="false"
	            [ngStyle]="{'overflow': 'hidden'}">


		<perfect-scrollbar  class="ps-custom" style="max-width: 600px; max-height:100vh;">
			<!--<button mat-icon-button (click)="toggleMenu($event); $event.stopPropagation()">
				<mat-icon [svgIcon]=" openSidebar? 'close':'menu' "> </mat-icon>
			</button>-->

			<!--<div class="left-sidenav__btn-wrap"
				 [@btn-wrap]="barState"
				 [ngStyle]="{'height': '28px'}"
				 fxLayout="row"
				 fxLayoutAlign="space-around center">
			  <span class="left-sidenav__btn-desc"
					[@btn-visible]="barState"
					[@btn-font]="barState"
					>Меню</span>
			  <button mat-button (click)="openMenuBtn($event)"
					  [@btn-visible]="barState"
					  [@btn-font]="barState">
				<mat-icon *ngIf="toggleIcon">menu</mat-icon>
				<mat-icon *ngIf="!toggleIcon">clear</mat-icon>
			  </button>
			</div>-->


			<div class="menu-list" [ngStyle]="{'overflow': 'hidden'}">

				<ng-container *ngFor="let item of menuItems" >

					<a *ngIf="!item.children" [routerLink]="['./', item.router]"
						routerLinkActive="active"
						matRipple
						class="menu-list__item" fxLayout="row" fxLayoutAlign="start center">

						<mat-icon class="start" svgIcon="{{item.icon}}" [ngStyle]="{'flex-shrink': 0}"></mat-icon>
						<div fxFlex="" class="title" [ngClass]="{'side' : mouseInSidebar}"
							[@hiddenTitle]="!(openSidebar || mouseInSidebar)"> {{item.title}} </div>
					</a>

					<ng-container *ngIf="item.children" >
						<div (click)="item.open = !item.open"
							[ngClass]="{'active' : currUrl.indexOf('/'+item.router) >= 0}"
							matRipple
							class="menu-list__item " fxLayout="row" fxLayoutAlign="start center">
							<mat-icon class="start" svgIcon="{{item.icon}}" [ngStyle]="{'flex-shrink': 0}"></mat-icon>

							<div fxFlex="" class="title" [ngClass]="{'side' : mouseInSidebar}"
								[@hiddenTitle]="!(openSidebar || mouseInSidebar)"> {{item.title}} </div>

							<mat-icon
								class="end"
								[@hiddenTitle]="!(openSidebar || mouseInSidebar)"
								[@openItem]="item.open"
								[ngClass]="{'side' : mouseInSidebar}"
								svgIcon="chevron-right">  </mat-icon>

						</div>


						<div *ngIf="item.open" class="children" [ngClass]="{'side' : mouseInSidebar}"
							[@hiddenTitle]="!(openSidebar || mouseInSidebar)">
							<a #rla="routerLinkActive" *ngFor="let child of item.children"
								[routerLink]="['./', item.router, child.router]"
								routerLinkActive="active"
								matRipple
								class="menu-list__item child" fxLayout="row" fxLayoutAlign="start center">
								<div fxFlex="" class="title" > {{child.title}} </div>
							</a>

						</div>

					</ng-container>



				</ng-container>



			</div>
		</perfect-scrollbar>
	</mat-sidenav>

	<mat-sidenav-content [@openedMenuContent] = 'openSidebar' >
		<ng-content></ng-content>
	</mat-sidenav-content>


</mat-sidenav-container>
